import { defineConfig } from 'astro/config';
import mdx from '@astrojs/mdx';
import sitemap from '@astrojs/sitemap';
//import cloudflare from "@astrojs/cloudflare";
import remarkGfm from "remark-gfm";
import remarkRehype from "remark-rehype";
import tailwind from "@astrojs/tailwind";

// https://astro.build/config
export default defineConfig({
  site: 'https://dev.noway.moe',
  output: "static",
  integrations: [mdx(), sitemap(), tailwind()],

  build: {
    format: "file",
    inlineStylesheets: "auto",
  },
  markdown: {
    remarkPlugins: [
      remarkGfm,
      [remarkRehype, { clobberPrefix: "" }],
    ],
    gfm: true,
  }
});
